      subroutine bocoh(h,im,jm,nm)

      implicit none

      integer::im,jm,nm
      real,dimension(im,jm,nm)::h

      if(nm.eq.6)then
        call bocoh_cb(h,im,jm)
      else
        call bocoh_oc(h,im,jm)
      endif

      end subroutine bocoh
